Skip to main content

Homes API

Use the homes endpoints to organize devices into homes and rooms for tenant-aware automation flows.

Base URL: https://api.hestialabs.in/v1

Endpoints​

MethodPathSummary
GET/homesList Homes
GET/homes/{homeId}/roomsList Rooms
POST/homesCreate Home
POST/homes/{homeId}/roomsCreate Room

List Homes​

GET /homes

List all homes for the tenant

Authentication: Bearer JWT required

Parameters​

None.

Responses​

StatusDescription
200Home list

Example 200 response​

{
"homes": [
"value"
]
}

List Rooms​

GET /homes/{homeId}/rooms

List rooms in a home

Authentication: Bearer JWT required

Parameters​

NameInTypeRequiredDescription
homeIdpathstringYes—

Responses​

StatusDescription
200Room list

Create Home​

POST /homes

Create a new home

Authentication: Bearer JWT required

Parameters​

None.

Request body​

FieldTypeRequiredDescription
home_namestringYes—
timezonestringNo—

Example request​

{
"home_name": "string",
"timezone": "string"
}

Responses​

StatusDescription
201Home created

Create Room​

POST /homes/{homeId}/rooms

Create a room in a home

Authentication: Bearer JWT required

Parameters​

NameInTypeRequiredDescription
homeIdpathstringYes—

Request body​

FieldTypeRequiredDescription
namestringYes—

Example request​

{
"name": "string"
}

Responses​

StatusDescription
201Room created